/*====================================================================
		rfunc.h

		rFunc InterBase UDF library.


		Copyright 1998-2001 Polaris Software
		http://polesoft.da.ru
		mailto: rFunc@mail.ru

		Version 2.0.1.2
====================================================================== */

#ifndef _RFUNC_H
#define _RFUNC_H

#if defined __STDC__ || defined __BORLANDC__ || defined _MSC_VER
#define PROTO(args) args
#define ARG(type, arg) type arg
#define ARGLIST(arg)
#else
#define PROTO(args) ()
#define ARG(type, arg) arg
#define ARGLIST(arg) arg;
#endif

#if defined __BORLANDC__ && defined __WIN32__
#define EXPORT _export
#else
#define EXPORT
#endif

#ifdef IB_6X
#define IB_5X
#endif

#define MIN(x, y) (x < y) ? x : y

#define ERREXIT(status, rc) {isc_print_status(status); return rc;}

#define BADVAL -9999L

#define shortlen 256
#define longlen 16384

#ifdef IB_5X
#include "ib_util.h"
#define MALLOC ib_util_malloc
#else
#include <malloc.h>
#define MALLOC malloc
#endif
#endif
